#include "TPrg.h"


TPrg::TPrg():TObject()
{
  mNL = 0;
}
TPrg::~TPrg()
{
  mList.Delete();
}
TPrgLine* TPrg::addLine(char* line)
{
  TPrgLine* l = new TPrgLine(line);
	mList.Add(l);
  l->setLineNumber(mNL++);
	return l;
}
TPrgLine* TPrg::addLine(TPrgLine* line)  
{
	if(!line) return NULL;
	mList.Add(line);
  line->setLineNumber(mNL++);
	return line;  
}
void TPrg::print(char* line, bool expanded)
{
	cout <<"======================================================="<<endl;
	cout <<line<<endl;
	cout <<"======================================================="<<endl;
  for(int i = 0;i<getNLines(); i++)
	{
	  getLine(i)->print(expanded);
	}
	cout <<"======================================================="<<endl;
}
